import React, { memo } from 'react';
import { View, StyleSheet, Text } from 'react-native';
import { TextInput as Input } from 'react-native-paper';
import { theme } from '../../core/theme';


const TextView = ({ text,style}) => (
    <Text
      style={style}>
        {text}
    </Text>

);

const styles = StyleSheet.create({
    loginText: {
        width: '100%',
        color: 'white',
        fontWeight: 'bold',
        fontSize: 50,
        textAlign:'center',
        marginTop:0,
        flex:1
      },
  container: {
    width: '100%',
  },
  input: {
    backgroundColor: theme.colors.surface,
  },
  error: {
    fontSize: 14,
    color: theme.colors.error,
    paddingHorizontal: 4,
    paddingTop: 4,
  },
});

export default memo(TextView);